/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.adsense.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for SavedAdStyle.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the AdSense Management API. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class SavedAdStyle extends GenericJson {

  /**
   * The AdStyle itself.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AdStyle adStyle;

  /**
   * Unique identifier of this saved ad style. This should be considered an opaque identifier; it is
   * not safe to rely on it being in any particular format.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String id;

  /**
   * Kind of resource this is, in this case adsense#savedAdStyle.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The user selected name of this SavedAdStyle.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String name;

  /**
   * The AdStyle itself.
   * The value returned may be {@code null}.
   */
  public AdStyle getAdStyle() {
    return adStyle;
  }

  /**
   * The AdStyle itself.
   * The value set may be {@code null}.
   */
  public SavedAdStyle setAdStyle(AdStyle adStyle) {
    this.adStyle = adStyle;
    return this;
  }

  /**
   * Unique identifier of this saved ad style. This should be considered an opaque identifier; it is
   * not safe to rely on it being in any particular format.
   * The value returned may be {@code null}.
   */
  public String getId() {
    return id;
  }

  /**
   * Unique identifier of this saved ad style. This should be considered an opaque identifier; it is
   * not safe to rely on it being in any particular format.
   * The value set may be {@code null}.
   */
  public SavedAdStyle setId(String id) {
    this.id = id;
    return this;
  }

  /**
   * Kind of resource this is, in this case adsense#savedAdStyle.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Kind of resource this is, in this case adsense#savedAdStyle.
   * The value set may be {@code null}.
   */
  public SavedAdStyle setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The user selected name of this SavedAdStyle.
   * The value returned may be {@code null}.
   */
  public String getName() {
    return name;
  }

  /**
   * The user selected name of this SavedAdStyle.
   * The value set may be {@code null}.
   */
  public SavedAdStyle setName(String name) {
    this.name = name;
    return this;
  }

}
